#!/bin/sh

# Description:      Kill all ssh connections
#                   Ensure to kill all ssh-agent
#                   Ensure to kill all gpg-agent
#                   Ensure to delete everything link to {ssh,gpg}-agent
#                   Ensure to kill all git-credential sockets
#                   Kill keepass2
#                   Remove cached password
#                   Remove recent files
#                   Turn off the screen
#                   Lock the screen
### Give an easy way to call this function with a keybind.
## For example with herbstluftwm: "hc keybind $Mod-Shift-c spawn ~/bin/veille.sh"

## depend: i3lock

# SSH Connections
killall ssh
rm -rf ~/.ssh/socks/*

# SSH Agent
killall ssh-agent
rm -rf /tmp/ssh-*

# GPG Agent
keychain --agents gpg --clear
kill $(pidof gpg-agent)

# Delete everything link to ssh-agent or gpg-agent
rm -rf ~/.keychain/*

# git-credential sockets
killall git-credential-cache--daemon
rm -f ~/.git-credential-cache/*

# Keepass2 (killall keepass, both those launch with 'mono' and those launch with 'cli)
ps ax | grep -v 'awk' | awk '/keepass2/,NF=1' | xargs kill

# Delete sensitive files can contains unwanted clear passwords
rm -f ~/.config/evince/print-settings ~/.config/eog/eog-print-settings.ini

# Delete GIMP's sensitives files
find ~/.config -ipath "*GIMP*" -and -iname "print-page-setup" -delete
find ~/.config -ipath "*GIMP*" -and -iname "print-settings" -delete

# Purge local user recent files
rm -f -- ~/.local/share/recently-used.xbel
rm -f -- ~/.recently-used
rm -f -- ~/.thumbnails/normal

# Turn off the screen
sleep 3; xset dpms force off

# Lock the screen
#i3lock -c 000000 --pointer win -d
i3lock -i /home/jegardai/Images/system/empire_needs_you.png --pointer win -d -e -t
